sysvinit (3.15-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130137). Remaining changes:
    - d/rules: when building for Ubuntu, skip all binaries except for sysvinit-utils
  * Changes that previously became undocumented:
    - d/rules: install sysvinit-utils into /usr
      This change is separate to only building sysvinit-utils, but it was
      previously melded into the same logical unit.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Fri, 31 Oct 2025 16:45:56 +0300

sysvinit (3.15-5) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Tue, 21 Oct 2025 08:25:58 +0100

sysvinit (3.15-4) experimental; urgency=medium

  * Don't test for existing logfile before running logsave(8).
    (Closes: #1106830)
  * umountfs: recursively umount tmpfs. (Closes: #704108)
  * umountnfs: recursively umount network filesystems. (Closes: #444262)
  * /etc/init.d/rc: also set opost to avoid staircase effect.
    (Closes: #617249)

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Oct 2025 08:40:20 +0100

sysvinit (3.15-3) experimental; urgency=medium

  * Update inittab on new installations to use ids consistent with
    inittab(5). (Closes: #538257)
  * Deprecate forcefsck. (Closes: #686895)
  * d/control: add Depends login (no longer Essential). (Closes: #1116288)
  * Only create .tmpfs if mount has been successful. (Closes: #719249)
  * Remove all obsolete commented AC checking code. See #326647 and
    related for discussion.
  * d/copyright: remove old FSF address (lintian).
  * d/copyright: update upstream contact and URL.

 -- Mark Hindley <leepen@debian.org>  Wed, 08 Oct 2025 09:59:57 +0100

sysvinit (3.15-2) experimental; urgency=medium

  * Update inittab on new installations to assume 8bit clean environment.
    (Closes: #435287)
  * Emphasise that /etc/fstab overrides /etc/default/tmpfs. (Closes: #688412)  
  * init-d-script:
    - Support TYPE=oneshot. (Closes: #1108969)
    - comply with style guidelines.
  * Add rcS option EXTRAKERNELFS and framework to support mounting
    additional kernel filesystems. Currently supported options are debugfs
    and cgroupfs2. (Closes: #539352)

 -- Mark Hindley <leepen@debian.org>  Tue, 23 Sep 2025 08:29:46 +0100

sysvinit (3.15-1) experimental; urgency=medium

  * New upstream version 3.15
  * d/src/README.style: add recommended initscript style.
  * d/src: comply with recommended style. (Closes: #922423)
  * init-d-script.5: document that /etc/default/$NAME environment is not
    available in script top-level. (Closes: #931867)
  * d/control, d/watch: update following upstream  migration to codeberg.

 -- Mark Hindley <leepen@debian.org>  Tue, 09 Sep 2025 13:40:37 +0100

sysvinit (3.14-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111439). Remaining changes:
    - d/rules: skip all binaries except for sysvinit-utils on Ubuntu

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 20 May 2025 18:25:41 -0700

sysvinit (3.14-4) unstable; urgency=medium

  * d/control: bump Standards Version (no changes).
  * Take over /etc/init.d/kmod from src:kmod << 34.1-1 (Closes: #1100072).

 -- Mark Hindley <leepen@debian.org>  Mon, 10 Mar 2025 16:49:51 +0000

sysvinit (3.14-3) unstable; urgency=medium

  * rcS: Default to ASYNCMOUNTNFS=no if ip= or nfsroot= specified on kernel
    commandline. (Closes: #434570).
  * if-up.d/mountnfs: only print waiting for interface message if VERBOSE.
    (Closes: #578247)
  * d/control:
    - bump Standards Version (no changes).
    - bootlogd Conflicts plymouth; they both log to /var/log/boot.log.
      (Closes: #669017)
  * d/sysvinit-core.NEWS: add instructions for forcing init switch despite
    Protected: yes.

 -- Mark Hindley <leepen@debian.org>  Mon, 24 Feb 2025 09:27:01 +0000

sysvinit (3.14-2) experimental; urgency=medium

  [ Mark Hindley ]
  * mount-functions.sh: only warn about old /dev/shm mount if it is
    actually present in /etc/fstab. (Closes: #761511)
  * tmpfs-config.5: clarify that TMPFS_SIZE override requires empty string.
    (Closes: #987316)
  * checkroot.sh: create last-resort root device in /dev: /run may be
    nodev or read-only. (Closes: #1008911)
  * initscripts README.Debian: update to refer to /etc/default/tmpfs and
    tmpfs(5).
  * if-up.d/mountnfs: refactor to use /run and minimise time before
    registering lockdir cleanup handler.
  * Ensure stray /run/network/mountnfs lockdir is also cleaned.
    (Closes: #608862)
  * rcS(5): document requirement for auto rather than allow-hotplug
    interfaces with ASYNCMOUNTNFS=no. (Closes: #612519)
  * d/control: sysvinit-core add Protected: yes. (Closes: #940965)
  * if-up.d/mountnfs: always no-op if systemd is running. (Closes: #782142).


  [ Bjarni Ingi Gislason ]
  * Bug#1095674: halt.5: Some remarks and a patch with editorial changes
    for this man page (Closes: 1095674).

  [ Pierre Ynard ]
  * Bug#686531: Fix checkroot-bootclean.sh fails if rootfs is mounted
    read-only via NFS (Closes: #686531).

 -- Mark Hindley <leepen@debian.org>  Tue, 18 Feb 2025 08:23:45 +0000

sysvinit (3.14-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 21:50:15 -0600

sysvinit (3.14-1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.14
  * d/p/0005-workaround-gcc-lintian.patch: drop as no longer applies
    cleanly and lintian warning is no longer evident.

  [ Helmut Grohne ]
  * Build-Depends: libcrypt-dev. (Closes: #1094247)

 -- Mark Hindley <leepen@debian.org>  Mon, 10 Feb 2025 09:38:57 +0000

sysvinit (3.13-1) unstable; urgency=medium

  * New upstream version 3.13, includes manpage fixes for init.8 and pidof.8
    (Closes: #1087343, #1087584)
  * d/sysvinit-core.postinst:
    - drop remaining parts of /run/initctl migration: no longer HUP PID 1.
      (Closes: #1092150)
    - remove $DPKG_ROOT from directory test: nonsensical after previous test.

 -- Mark Hindley <leepen@debian.org>  Tue, 07 Jan 2025 09:26:24 +0000

sysvinit (3.11-1) unstable; urgency=medium

  * New upstream version 3.11.
    - includes manpage fixes (Closes: #905244, #1078731,
      #1082812).
  * Drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Wed, 23 Oct 2024 09:33:27 +0100

sysvinit (3.10-3) unstable; urgency=medium

  * init-d-script:
    - support capabilities by wrapping s-s-d with setpriv.
    - when stopping, send CONT signal before TERM.

 -- Mark Hindley <leepen@debian.org>  Tue, 15 Oct 2024 18:46:37 +0100

sysvinit (3.10-2) unstable; urgency=medium

  * rc.local: fix misplaced stop levels in LSB header. (Closes: #1081435)

 -- Mark Hindley <leepen@debian.org>  Wed, 11 Sep 2024 18:09:54 +0100

sysvinit (3.10-1) unstable; urgency=medium

  * New upstream version 3.10
    - includes reformatting of shutdown.8 (Closes: #1076822).
  * d/control: Update versioned Conflicts to handle DEP17 ineffective
    diversions for more diverters.  Thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1065146)

 -- Mark Hindley <leepen@debian.org>  Tue, 06 Aug 2024 16:16:21 +0100

sysvinit (3.09-2) unstable; urgency=medium

  [ Mark Hindley ]
  * bootlogd.init: fix path in check for running under systemd.
    (Closes: #1072011)
  * Declare interest in libc-upgrade trigger. (Closes: #1072375)
  * d/sysvinit-core.postinst:
    - refactor.
    - remove obsolete /dev/initctl -> /run migration.
    - support "triggered".
  * d/control: bump Standards Version (no changes).

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Save initramfs fsck logs to /var/log/fsck/.

 -- Mark Hindley <leepen@debian.org>  Thu, 13 Jun 2024 18:20:51 +0100

sysvinit (3.09-1) unstable; urgency=medium

  * New upstream version 3.09
  * Drop patch applied upstream.
  * /etc/init.d/rc.local: stop in runlevels 0 6 so rc.shutdown is run.
  * d/control:
    - add Salsa as Homepage for initscripts and sysv-rc.
    - fix typo in sysvinit-utils description. (Closes: #1069177)

 -- Mark Hindley <leepen@debian.org>  Wed, 17 Apr 2024 12:58:59 +0100

sysvinit (3.08-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * sysvinit-core.postinst: remove code handling /etc/inittab with missing
    entries (Closes: #1063629)
  * initscripts.postinst: avoid calling uname for non-empty DPKG_ROOT
    (Closes: #1063639)

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Mark Hindley ]
  * Delete unused debconf machinery now there are no templates (lintian).

 -- Mark Hindley <leepen@debian.org>  Thu, 29 Feb 2024 11:22:45 +0000

sysvinit (3.08-6ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:20:36 +0200

sysvinit (3.08-6ubuntu2) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1060139)

  [ Julian Andres Klode ]
  * Adjust DEP17 move for Ubuntu

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:40:25 +0100

sysvinit (3.08-6ubuntu1) noble; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 12:36:24 -0600

sysvinit (3.08-6) unstable; urgency=medium

  * d/sysvinit-core.postinst: don't do_restart() for new installations.
    (Closes: #1061280)

 -- Mark Hindley <leepen@debian.org>  Thu, 25 Jan 2024 17:43:34 +0000

sysvinit (3.08-5) unstable; urgency=medium

  * Add Greek debconf translation with thanks to Dimitris
    <dimitris@stinpriza.org>.
  * hwclock.sh: support HURD direct ISA I/O. (Closes: #1057634)
  * d/control: initscripts demote util-linux-extra to Recommends.
  * Restore sequencing prefix 85 to hwclock rules file.


 -- Mark Hindley <leepen@debian.org>  Wed, 06 Dec 2023 15:02:37 +0000

sysvinit (3.08-4) experimental; urgency=medium

  [ Guillem Jover ]
  * initscripts: Set PATH in udev init script to include stat program.

  [ Johannes Schauer Marin Rodrigues ]
  * postinst: respect DPKG_ROOT environment variable (Closes: #1056213).

  [ Mark Hindley ]
  * Update Swedish debconf translation with thanks to Martin Bagge
    <brother@persilja.net>.  (Closes: #1056954)

 -- Mark Hindley <leepen@debian.org>  Mon, 27 Nov 2023 18:45:44 +0000

sysvinit (3.08-3ubuntu1) noble; urgency=low

  * Merge with Debian Unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 20 Nov 2023 17:34:46 -0600

sysvinit (3.08-3) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:17:56 +0100

sysvinit (3.08-2) experimental; urgency=medium

  * initscripts: take over hwclock machinery from util-linux-extra
    (Closes: #934463).

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 12:06:22 +0100

sysvinit (3.08-1) unstable; urgency=medium

  * New upstream version 3.08
  * Add patch to fix man/Makefile clean recipe (Closes: #1047054).
  * Takeover udev initscript from src:systemd (Closes: #1042082).

 -- Mark Hindley <leepen@debian.org>  Sun, 17 Sep 2023 20:10:53 +0100

sysvinit (3.07-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2029132). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
  * Dropped changes, merged in Debian:
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      [Fixed in 3.07-1~exp1]

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 31 Jul 2023 15:26:23 +0200

sysvinit (3.07-1) unstable; urgency=medium

  [ Olivier Gayot ]
  * Drop manual trimming of Debian changelog
  * Use dh_installchangelogs -X instead of deleting changelog manually
  * Remove duplicate dh_installchangelogs for initscripts

 -- Mark Hindley <leepen@debian.org>  Sat, 01 Jul 2023 08:43:15 +0100

sysvinit (3.07-1~exp1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.07
     - includes Portuguese manpage translation (Closes: #1027945).
  * Remove obsolete handling of /var/log/boot~ and restore rotation of
    /var/log/boot (Closes: #1034069).
  * brightness initscript: don't save value of 0 when stopping.
  * Remove discontinued lintian tag init.d-script-needs-depends-on-lsb-base.
  * Delete patches applied upstream.
  * Refresh patches.

  [ Olivier Gayot ]
  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (Closes: #1028586).

 -- Mark Hindley <leepen@debian.org>  Mon, 01 May 2023 11:24:07 +0100

sysvinit (3.06-4ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018596). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
      (Closes: #1028586)
  * Dropped changes:
    - Define the DEB_HOST_* variables in d/rules if not defined already

  * The dropped change was undocumented and first introduced in focal. It is
    unclear what it was originally fixing. One assumption is that, when Debian
    started relying on /usr/share/dpkg/common.mk, the file was not present (or
    incomplete) on some architectures in Ubuntu. We have kept this change
    around for nearly four years, potentially for no valid reason.
    In 3.06-2ubuntu1, this change was worded as "Adjust debian/rules to fix an
    arch: all build failure". This is a mistake and should not be trusted.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sun, 07 May 2023 01:04:33 +0200

sysvinit (3.06-4) unstable; urgency=medium

  * Add Romanian debconf translations with thanks to Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org>.  (Closes: #1033723)

 -- Mark Hindley <leepen@debian.org>  Mon, 03 Apr 2023 07:25:22 +0100

sysvinit (3.06-3) unstable; urgency=medium

  * Cherry pick hunk from upstream to fix regression in pidof not matching
    symlinks. (Closes: #1033311)
  * Cherry pick upstream patch to fix memory initialisation in pidof.
    (Closes: #1033311)

 -- Mark Hindley <leepen@debian.org>  Thu, 30 Mar 2023 13:59:53 +0100

sysvinit (3.06-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2007421). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Fix absence of changelog.Debian.gz in sysvinit-utils binary package
    - Adjust debian/rules to fix an arch: all build failure
    - d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 16 Feb 2023 14:53:59 +0100

sysvinit (3.06-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 17:00:20 +0000

sysvinit (3.06-1) experimental; urgency=medium

  * New upstream version 3.06
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Sun, 18 Dec 2022 11:07:46 +0000

sysvinit (3.06~beta1-1) experimental; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.06~beta1
    - no longer requires libcrypt-dev when not building sulogin
      (Closes: #972315)
    - adds missing German man page translations (Closes: #1021819)
    - includes Portuguese translation of manpages, thanks to
      Américo Monteiro (Closes: #1019168).
  * Remove unnecessary d/p/libcrypt-lib.patch.
  * Add Breaks/Replaces for manpages-de initscripts.5.gz.
  * d/not-installed: add translated versions of initctl.5.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove 3 obsolete maintscript entries in 1 files.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 2.86.ds1-2.
  * Remove empty maintainer scripts: initscripts (preinst)

 -- Mark Hindley <leepen@debian.org>  Fri, 02 Dec 2022 11:29:21 +0000

sysvinit (3.05-7ubuntu2) lunar; urgency=medium

  * d/rules: fix installation of 50-ubuntu-logging when building on Ubuntu
    (LP: #2002789)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 13 Jan 2023 11:33:36 +0100

sysvinit (3.05-7ubuntu1) lunar; urgency=low

  * Merge from Debian unstable (LP: #1998325). Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already
  * Fix absence of changelog.Debian.gz in sysvinit-utils binary package.
    (LP: #1998324)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 30 Nov 2022 10:32:54 +0100

sysvinit (3.05-7) unstable; urgency=medium

  * Drop libcrypt-dev from B-Depends, we don't ship sulogin since Stretch
    which was what we needed the library for.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Nov 2022 02:47:46 +0100

sysvinit (3.05-6) unstable; urgency=medium

  * d/control: add Breaks and Replaces manpages-{es,fr,hu,pl} to
    sysvinit-core to avoid init{tab,script}.5 conflict. (Closes: #1020259)

 -- Mark Hindley <leepen@debian.org>  Mon, 19 Sep 2022 11:10:07 +0100

sysvinit (3.05-5) unstable; urgency=medium

  * Don't bother templating lsb-base scripts; this droppage reduces the
    number of moving parts for rebootstrap folks.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 14 Sep 2022 22:38:11 +0200

sysvinit (3.05-4) unstable; urgency=medium

  * sysvinit-utils: allow co-installing with dummy lsb-base; debootstrap
    doesn't understand Provides.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Sep 2022 21:16:07 +0200

sysvinit (3.05-3) unstable; urgency=medium

  * /etc/init.d/rc.local: correct filename for rc.shutdown. (Closes: #1019480)
  * d/control: Remove lsb-base and update versioned sysvinit-utils dependencies.
    Thanks Samuel Thibault. (Closes: #1019529)
  * bootlogd: add lintian override for init.d-script-needs-depends-on-lsb-base.
  * init-d-script: update comment with dependency requirement for
    /lib/lsb/init-functions.

 -- Mark Hindley <leepen@debian.org>  Mon, 12 Sep 2022 10:34:53 +0100

sysvinit (3.05-2) unstable; urgency=medium

  * d/changelog: add missing closes for #959860 in previous version.
  * d/control: add Breaks/Replaces for manpages-fr (<< 4.15.0-9~) to avoid
    bootlogd(8) conflict. (Closes: #1009915)

 -- Mark Hindley <leepen@debian.org>  Fri, 09 Sep 2022 16:56:55 +0100

sysvinit (3.05-1) experimental; urgency=medium

  * New upstream version 3.05
  * d/copyright: add missing entries and sort by date (Closes: #1014511).
  * Support /etc/rc.shutdown based on patch from Patrik Schindler
    <poc@pocnet.net> (Closes: #959860).
  * Take over library scripts from lsb-base.
  * sysvinit-utils: drop unnecessary lsb-base dependency (Closes: #946399).
  * Include upstream translated manpages and divert systemd equivalents in
    manapages-{de,es,fi,fr,hu,id,pl} (Closes: #1009915).

 -- Mark Hindley <leepen@debian.org>  Wed, 24 Aug 2022 13:05:57 +0100

sysvinit (3.04-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. (LP: #1987257) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sat, 22 Aug 2022 09:57:41 +0200

sysvinit (3.04-1) unstable; urgency=medium

  * New upstream version 3.04
  * Bracket lintian overrides.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 Aug 2022 12:49:34 +0200

sysvinit (3.03-1) unstable; urgency=medium

  * New upstream version 3.03
  * Remove patch applied upstream.
  * mount-functions.sh: add PARTUUID and PARTLABEL support. (Closes: #1008910)
  * mount-functions.sh: Update comment describing read_fstab().

 -- Mark Hindley <leepen@debian.org>  Fri, 15 Apr 2022 18:56:24 +0100

sysvinit (3.02-1) experimental; urgency=medium

  * Change upstream to GitHub.
  * New upstream version 3.02
  * Refresh patches.
  * Delete patch applied upstream.
  * Add patch to fix groff formatting error in init.8.

 -- Mark Hindley <leepen@debian.org>  Tue, 29 Mar 2022 16:00:24 +0100

sysvinit (3.01-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. (Closes: LP: #1958666) Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils
    - Define the DEB_HOST_* variables in d/rules if not defined already

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 14 Dec 2021 21:17:22 +0000

sysvinit (3.01-1) unstable; urgency=medium

  * Update upstream signing key.
  * New upstream version 3.01
  * Remove patch applied upstream.

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Dec 2021 07:54:11 +0000

sysvinit (3.00-2~exp1) experimental; urgency=medium

  * Remove time served support for converting /etc/rc.local to conffile
    (Closes: #987732).
  * Provisional upstream patch to restore pidof reporting D processes
    (Closes: #926896).

 -- Mark Hindley <leepen@debian.org>  Sat, 23 Oct 2021 11:02:07 +0100

sysvinit (3.00-1) unstable; urgency=medium

  * New upstream version 3.00
  * d/changelog: fix typo in previous version.

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 11:26:57 +0100

sysvinit (3.00~beta-1) experimental; urgency=medium

  [ Mark Hindley ]
  * Add myself to uploaders.
  * New upstream version 3.00~beta.
  * d/patches: remove patch applied upstream.
  * d/patches: refresh patches.
  * initscripts: remove -t option from telinit invocation (Closes:
    #990019).
  * bootmisc.sh: set SE Linux context after utmp file creation. Thanks to
    Russell Coker. (Closes: #950459)
  * Remove obsolete lintian overrides.
  * Update to Standards Version 4.6.0 (no changes).

  [ Ian Jackson ]
  * mountkernfs.sh: mount /sys/firmware/efi/efivars if possible (Closes:
    #783990).

  [ Dr. Tobias Quathamer ]
  * Rename manpage tmpfs.5 to tmpfs-config.5 (Closes: #848121, #951596).

  [ Trek ]
  * init-d-script: fix PIDFILE argument to status_of_proc (Closes: #962649).
  * init-d-script: allow disabling --exec or --name options.
  * init-d-script: fix do_status when DAEMON=none.
  * init-d-script: policy compliant exit values (Closes: #968038).
  * init-d-script: fix force-reload if do_reload is an alias.
  * init-d-script: added do_reload_cmd interface.
  * init-d-script: added RELOAD_SIGNAL interface.
    Thanks to Robbie Harwood <rharwood@club.cc.cmu.edu> (Closes: #807311).
  * init-d-script: send SIGCONT after SIGTERM.
    Thanks to Jan Braun <janbraun@gmx.de>.
  * init-d-script: fix try-restart output and more verbosity.
  * init-d-script: /bin/sh as interpreter and small optimizations.

 -- Mark Hindley <leepen@debian.org>  Wed, 15 Sep 2021 11:19:13 +0100

sysvinit (2.96-7ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:10 +0200

sysvinit (2.96-7ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 20:19:54 -0700

sysvinit (2.96-7) unstable; urgency=medium

  [ Mark Hindley ]
  * Mount /proc with -o compatible on HURD only (Closes: #985584).
  * Build-Depend on libcrypt-dev explicitly (thanks to Helmut Grohne).
    (Closes: #972315)

  [ Adam Borowski ]
  * Handle libcrypt moved back to /lib, fixing FTBFS (Closes: #987135).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Apr 2021 17:38:40 +0200

sysvinit (2.96-6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
  * Dropped changes, no longer needed:
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Mar 2021 10:02:02 -0700

sysvinit (2.96-6) unstable; urgency=medium

  [ Matthew Vernon ]
  * Team upload
  * Recommend orphan-sysvinit-scripts (Closes: #981801)
  * Update Spanish translation (thanks to Javier Fernández-Sanguino)
    (Closes: #981479)

  [ Adam Borowski ]
  * Update Brazillian translations (thanks to Adriano Rafael Gomes)
    (Closes: #972837)

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 13:53:09 +0000

sysvinit (2.96-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 19:04:47 -0700

sysvinit (2.96-5) unstable; urgency=low

  * Team upload.
  * debian/src/initscripts/etc/init.d/mountdevsubfs.sh: if /dev/fd
    is a directory (such as on Hurd), skip symlinking “over” it

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 10 Sep 2020 17:37:30 +0200

sysvinit (2.96-4) unstable; urgency=critical

  [ Thorsten Glaser ]
  * Team upload.

  [ Adam Borowski ]
  * Update the list of tools in sysvinit-utils’ package description
  * Remove/unversion pre-stretch dependencies (taking care of implied
    dependencies on Essential) except for no-longer-in-archive sysvinit
  * Really drop changelog.gz from sysvinit-utils
  * Conflict/Replace runit-init (because of /sbin/init)
  * Drop the word “utilities” from bin:sysvinit-core’s short description
  * Don’t require root to build
  * Drop Dmitry from Uploaders :(

  [ Samuel Thibault ]
  * src/initscripts/etc/init.d/{checkroot,checkfs}.sh:
    Fix getting fsck return code

  [ Bjarni Ingi Gislason ]
  * Formatting fixes in fstab-decode(8)

  [ Vincent Lefevre ]
  * Fix a typo in a comment in if-up.d/mountnfs (Closes: #961513)

  [ Thorsten Glaser ]
  * Bring back support for /etc/init.d/.legacy-bootordering as
    flag file (manually created by the local admin) to disable
    concurrent (parallel) boot
  * Let mountdevsubfs.sh (run early after udev) fixup (if needed)
    /dev/fd and /dev/std{in,out,err} to work around udev bug #967546
    and upload as critical system fix (Closes: #968199)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 14 Aug 2020 02:29:31 +0200

sysvinit (2.96-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 07:41:28 -0700

sysvinit (2.96-3) unstable; urgency=medium

  * Update Dmitry's address.
  * Drop ancient Debian.NEWS.
  * Don't install upstream changelog on sysvinit-utils (Essential).
  * Update trim cut-off for changelog.Debian to pre-buster.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 Mar 2020 23:37:42 +0100

sysvinit (2.96-2.1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 10:38:21 -0800

sysvinit (2.96-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change package rebuild to fix timestamp issue as raised by
    buildd. (Closes: #945820)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 14:07:13 -0500

sysvinit (2.96-2) unstable; urgency=medium

  * Incorporate runlevel documentation from Debian Policy.
    Thanks to Sean Whitton <spwhitton@spwhitton.name> (Closes: #943583)
  * init-d-script: fix missing --oknodo in s-s-d invocation.
    Thanks to Jan Braun <janbraun@gmx.de> (Closes: #954464)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 28 Nov 2019 21:07:03 +0000

sysvinit (2.96-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 15:59:53 -0700

sysvinit (2.96-1) unstable; urgency=medium

  * New upstream release.
  * Stop providing empty /run directory in bin:initscripts
  * Stop providing unused /var/lib/insserv/ in bin:sysv-rc
  * Install bootlog init scripts with dh_install instead of custom Makefile
  * Add lintian override about dependency on $all in bootlogd init scripts
  * Remove unused lintian overrides
  * Remove sysv-rc postinst script, that used to support legacy boot ordering
  * Remove "debian/fscklog.sh" that was never installed
  * Bump standards version to 4.4.1

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Oct 2019 00:37:48 +0000

sysvinit (2.96~beta-3ubuntu2) focal; urgency=medium

  * Fix debian/rules to not try to install bits into a sysvinit-core package
    we aren't building.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 13:21:15 -0700

sysvinit (2.96~beta-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 14:21:33 -0700

sysvinit (2.96~beta-3) unstable; urgency=medium

  * Team upload.
  * checkfs, checkroot: Use setterm only if extant (Closes: #941378)
  * fstab-decode(8): Fix typo pointed out by lintian
  * sysv-rc.postinst: Rename servive variable (lintian false-positive)
  * d/rules: Introduce bindnow hardening, prompted by lintian
  * Fix BD-Uninstallable on ten Debian architectures by replacing the
    pandoc invocation with a properly written manpage
  * init: Fix a lintian false-positive on spelling caused by GCC

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 02 Oct 2019 02:18:53 +0200

sysvinit (2.96~beta-2) unstable; urgency=medium

  * Disable kernel messages during fsck to avoid interleaved output
    (Closes: #398269)
  * Make bootlogd stop late enough (Closes: #935302, #920117, 808999)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 23 Sep 2019 16:12:23 +0000

sysvinit (2.96~beta-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Disable escape sequence filtering by bootlogd (Closes: #672361)
  * Fix missing argument in `domount' call for securityfs (Closes: #935533)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Aug 2019 14:46:25 +0000

sysvinit (2.95-6) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * sysv-rc: assume `startpar' is installed into PATH
  * Document that `CONCURRENCY' variable is no longer used (Closes: #692559)
  * Use v* version of lsb functions in `init-d-script'
  * Remove unused lintian overrides
  * Simplify `debian/rules' by inclusion of dpkg/default.mk
  * Remove useless build-dependency on libsepol1
  * Simplify no-libselinux package rebuild
  * Document ASYNCMOUNTNFS variable in etc/default/rcS (Closes: #530583)
  * Do not check $VERBOSE when printing "Starting $DESC" (Closes: #658374)
  * Fix /etc/init.d/rc error message on system w/o initramfs.
    Thanks to George Taylor <grgtlr5@googlemail.com> (Closes: #909118)
  * Fix formatting of bootlogd(8) manpage (Closes: #934628)
  * Install previously overlooked readbootlog(1)
  * Create /var/log/fsck if /var/log is tmpfs (Closes: #524007)

  [ Pierre Ynard ]
  * Fix typos in comments in /etc/network/if-up.d/mountnfs (Closes: #734423)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 23 Aug 2019 16:26:28 +0000

sysvinit (2.95-5ubuntu2) eoan; urgency=medium

  * Adjust debian/rules to fix an arch: all build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 09:01:15 -0700

sysvinit (2.95-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 23:55:53 -0700

sysvinit (2.95-5) unstable; urgency=medium

  * [2d158bc6] Make default TTYMODE match default TTYPERM of `login' package
    (Closes: #367432)
  * [01d4a5b8] Remove overly aggressive optimization from /etc/init.d/rc
    (Closes: #669406)
  * [1fb96748] Ensure `mdadm' init script starts before `checkfs'
    (Closes: #627797)
  * [91a45784] Restructure init-d-script(5) manpage (Closes: #768362)
  * [3681b33c] Do not print version of `fsck' during boot (Closes: #386296)
  * [154eb9a6] Order directories in PATH consistently with /etc/profile
    (Closes: #553325)
  * [8e9cc754] Change inittab to pass --noclear to getty on tty1
    (Closes: #718416)
  * [beb2cfd3] Make init-d-script based scripts more robust (Closes: #822918)
  * [ce075375] Allow /etc/default/<script> re-define DAEMON variable
    (Closes: #768138)
  * [fce03ed5] Do not imply in README that init scripts must have extension
    (Closes: #934066)
  * [77d34f9f] Update /etc/init.d/README to current practices (Closes: #934065)
  * [af1fa053] Document INIT_VERBOSE variable in /etc/default/rcS
    (Closes: #730824)
  * [1cd69037] Make bin:initscripts architecture-independent (Closes: #922962)
  * [49f87295] Remove useless empty directory from bin:sysv-rc
  * [974ef1c1] Fix missing README link in /etc/rc0.d
  * [bc567621] Fix spelling error in init-d-script.5

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 12 Aug 2019 20:13:47 +0000

sysvinit (2.95-4) unstable; urgency=medium

  * [995df63a] Fix FTBFS on kfreebsd-any (Closes: #933638)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 02 Aug 2019 09:57:48 +0000

sysvinit (2.95-3) unstable; urgency=medium

  * [0c6b0ff0] Attempt to mount /sys/kernel/config after `kmod'
    (Closes: #840356)
  * [6fb68099] Fix bug in handling /etc/fstab.d.
    Thanks to Rolf W. Rasmussen <rolfwr@gmail.com> (Closes: #735930)
  * [7176b71d] Mount securityfs when it is available.
    Thanks to Ritesh Raj Sarraf <rrs@debian.org> (Closes: #440709)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 29 Jul 2019 08:10:44 +0000

sysvinit (2.95-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - When building for Ubuntu, skip all binaries except for sysvinit-utils.
    - Make mountpoint.c compile with new glibc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Jul 2019 12:32:57 -0700

sysvinit (2.95-2) unstable; urgency=medium

  * [22e43c01] Make sure dh_fixperms is called during build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #932300)
  * [a7ef4c4c] Fix wrong permissions of /var/run/utmp.
    Thanks to Thorsten Glaser <tg@mirbsd.de> (Closes: #932380)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 21 Jul 2019 19:43:53 +0000

sysvinit (2.95-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Contact, Name.
  * Update standards version, no changes needed.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 16 Jul 2019 19:28:51 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sysvinit-utils`.
